%undefine __cmake_in_source_build
%bcond_with     clang

Name:           lxqt-build-tools
Version:        2.0.0
Release:        1%{?dist}
Summary:        Packaging tools for LXQt

License:        BSD-3-Clause
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  cmake
%if %{with clang}
BuildRequires:  clang
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  glib2-devel

Requires:       cmake

%description
Various packaging tools and scripts for LXQt applications.


%prep
%autosetup -p1

%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

%cmake
%cmake_build

%install
%cmake_install

%files
%license BSD-3-Clause
%doc CHANGELOG README.md
%{_datadir}/cmake/lxqt2-build-tools
%{_bindir}/lxqt2-transupdate


%changelog
* Fri Sep 27 2024 Raven <raven@sysadmins.ws> - 2.0.0-1
- 2.0.0

* Thu May 18 2023 Raven <raven@sysadmins.ws> - 0.13.0-1
- update to 0.13.0

* Fri Nov 11 2022 Raven <raven@sysadmins.ws> - 0.12.0-2
- define LXQT_ETC_XDG_DIR

* Fri Nov 11 2022 Raven <raven@sysadmins.ws> - 0.12.0-1
- update to 0.12.0

* Mon Nov 08 2021 Raven <raven@sysadmins.ws> - 0.10.0-1
- update to 0.10.0
- drop RHEL7 support

* Tue Jan 26 2021 Raven <raven@sysadmins.ws> - 0.8.0-1
- update to 0.8.0

* Tue Jun 16 2020 Raven <raven@sysadmins.ws> - 0.7.0-1
- update to 0.7.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 20 2019 Zamir SUN <sztsian@gmail.com> - 0.6.0-3
- Improve compatibility with epel7

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 13 2019 Zamir SUN <zsun@fedoraproject.org>  - 0.6.0-1
- Prepare for LXQt 0.14.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Aug 03 2018 Zamir SUN <zsun@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 15 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- new version (0.3.2)
- patch to make package noarch'ed removed, has been upstreamed

* Fri Jan 06 2017 Björn Esser <besser82@fedoraproject.org> - 0.3.1-3
- Build out-of-tree

* Fri Jan 06 2017 Björn Esser <besser82@fedoraproject.org> - 0.3.1-2
- Update Patch0 to make the whole package noarch'ed
- Add `BuildArch: noarch`
- Clean trailing whitespaces

* Mon Jan  2 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.1-1
- initial package
